Package weka.core

# Class Debug.DBO

java.lang.Object
weka.core.Debug.DBO

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

Enclosing class:
  `Debug`

public static class Debug.DBO extends Object implements Serializable, RevisionHandler
contains debug methods

Version:
  $Revision: 7519 $
Author:
  Gabi Schmidberger (gabi at cs dot waikato dot ac dot nz)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Range`
`m_outputTypes`
range of outputtyp
`boolean`
`m_verboseOn`
enables/disables output of debug information

## Constructor Summary

Constructors
Constructor
Description
`DBO()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`dl(int num)`
Return true if the debug level is set same method as outpuTypeSet but better name
`void`
`dp(int debugType, String text)`
prints out text but only if debug level is set.
`void`
`dp(String text)`
prints out text if verbose is on.
`void`
`dpln(int debugType, String text)`
prints out text + endofline but only if parameter debug type is set.
`void`
`dpln(String text)`
prints out text + endofline if verbose is on.
`String`
`getOutputTypes()`
Gets the current output type selection
`String`
`getRevision()`
Returns the revision string.
`void`
`initializeRanges(int upper)`
Initialize ranges, upper limit must be set
`boolean`
`outputTypeSet(int num)`
Return true if the outputtype is set
`static void`
`p(String text)`
prints out text.
`static void`
`pln(String text)`
prints out text + endofline.
`void`
`setOutputTypes(String list)`
Switches the outputs on that are requested from the option O
`void`
`setVerboseOn()`
Set the verbose on flag on

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_verboseOn

public boolean m_verboseOn
enables/disables output of debug information

### m_outputTypes

public Range m_outputTypes
range of outputtyp

## Constructor Details

### DBO

public DBO()

## Method Details

### setVerboseOn

public void setVerboseOn()
Set the verbose on flag on

### initializeRanges

public void initializeRanges(int upper)
Initialize ranges, upper limit must be set

Parameters:
  `upper` - upper limit

### outputTypeSet

public boolean outputTypeSet(int num)
Return true if the outputtype is set

Parameters:
  `num` - value that is reserved for a specific outputtype
Returns:
  return true if the output type is set

### dl

public boolean dl(int num)
Return true if the debug level is set same method as outpuTypeSet but better name

Parameters:
  `num` - value that is reserved for a specific outputtype
Returns:
  return true if the debug level is set

### setOutputTypes

public void setOutputTypes(String list)
Switches the outputs on that are requested from the option O

Parameters:
  `list` - list of integers, all are used for an output type

### getOutputTypes

public String getOutputTypes()
Gets the current output type selection

Returns:
  a string containing a comma separated list of ranges

### dpln

public void dpln(String text)
prints out text + endofline if verbose is on. helps to make debug output commands more visible in text

Parameters:
  `text` - the text to print

### dpln

public void dpln(int debugType, String text)
prints out text + endofline but only if parameter debug type is set. helps to make debug output commands more visible in text

Parameters:
  `debugType` - the type of the output
  `text` - the text to print

### dp

public void dp(String text)
prints out text if verbose is on. helps to make debug output commands more visible in text

Parameters:
  `text` - the text to print

### dp

public void dp(int debugType, String text)
prints out text but only if debug level is set. helps to make debug output commands more visible in text

Parameters:
  `debugType` - the type of the output
  `text` - the text to print

### pln

public static void pln(String text)
prints out text + endofline. helps to make debug output commands more visible in text

Parameters:
  `text` - the text to print

### p

public static void p(String text)
prints out text. helps to make debug output commands more visible in text

Parameters:
  `text` - the text to print

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision